<html> 
<head>
	<title>Delete</title>
</head>
<body>
	<h2>Page 4: Deleting records and tables</h2>
	<p>This page will delete a record from the "Companies" table (created in page "create.php") and then delete the entire table.</p>
		<?php

			try {
				$dsn = '4D:host=localhost;port=19812;charset=UTF-8';
				$user = 'Administrator';
				$pswd = 'test';

				$db = new PDO($dsn, $user, $pswd);

		
			//1, query
				$sql_query = 'SELECT ID, Name, Address, City, State, Zip FROM Company WHERE ID = 4 ';
				$stmt = $db->prepare($sql_query);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();
				
				//this is just formatting for the resulting web page
				echo '<h3>Delete record</h3>';
				echo 'Record(s) found before delete<br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Id</td>' . '<td>Name</td>' . '<td>Address</td>' . '<td>City</td>' . 
				'<td>State</td>' . '<td>Zip</td>' . '</tr>';
				
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['ID'] . '</td>';
					echo '<td>' . $results_array[$index]['NAME'] . '</td>';
					echo '<td>' . $results_array[$index]['ADDRESS'] . '</td>';
					echo '<td>' . $results_array[$index]['CITY'] . '</td>';
					echo '<td>' . $results_array[$index]['STATE'] . '</td>';
					echo '<td>' . $results_array[$index]['ZIP'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table>';
				echo '<br><br>';


			//1, delete record
				$sql_delete = 'DELETE FROM Company WHERE ID = 4 ';
				$stmt = $db->prepare($sql_delete);
				$stmt->execute();				

			//1, query again
				//no need to build the select statmement again, we can just use the previous variable
				$stmt = $db->prepare($sql_query);
				$stmt->execute();				
				$results_array = $stmt->fetchAll();

				//this is just formatting for the resulting web page
				echo 'Record(s) found after delete<br>';				
				echo '<table  BORDER=1 CELLPADDING=3 CELLSPACING=1 RULES=ALL FRAME=BOX">';
				echo '<tr>' . '<td>Id</td>' . '<td>Name</td>' . '<td>Address</td>' . '<td>City</td>' . 
				'<td>State</td>' . '<td>Zip</td>' . '</tr>';
				
				$index = 0;
				foreach ($results_array as $id) {
					echo '<tr>';
					echo '<td>' . $results_array[$index]['ID'] . '</td>';
					echo '<td>' . $results_array[$index]['NAME'] . '</td>';
					echo '<td>' . $results_array[$index]['ADDRESS'] . '</td>';
					echo '<td>' . $results_array[$index]['CITY'] . '</td>';
					echo '<td>' . $results_array[$index]['STATE'] . '</td>';
					echo '<td>' . $results_array[$index]['ZIP'] . '</td>';
					echo '</tr>';
					$index++;
				}
				echo '</table>';
				echo '<br>';

			//2, drop table
				echo '<h3>Delete table</h3>';

				$sql_delete = 'DROP TABLE IF EXISTS Company ';
				$stmt = $db->prepare($sql_delete);
				$stmt->execute();	
				echo $sql_delete . '<br><br>';

			echo 'Look back at the 4D database and you should see the "Company" table has been deleted.' . '<br>';	

			unset($db);
			} catch (Exception $e) {
				echo '<p style="color:red; font-weight:bold">' . 
				'The following PHP error occured :' . $e->getMessage() . 
				'</p>';
			}
				
		?>
</body>
</html>